Generation Framework

## org.eclipse.gmf.gmfgraph
Interface FlowLayout

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Layout, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FlowLayoutImpl

    public interface FlowLayout

extends Layout

A representation of the model object 'Flow Layout'.

The following features are supported:

- `Vertical`
- `Match Minor Size`
- `Force Single Line`
- `Major Alignment`
- `Minor Alignment`
- `Major Spacing`
- `Minor Spacing`

See Also:
  `GMFGraphPackage.getFlowLayout()`
** Generated **
Model:

Method Summary
`Alignment` `getMajorAlignment()` Returns the value of the 'Major Alignment' attribute.
`int` `getMajorSpacing()` Returns the value of the 'Major Spacing' attribute.
`Alignment` `getMinorAlignment()` Returns the value of the 'Minor Alignment' attribute.
`int` `getMinorSpacing()` Returns the value of the 'Minor Spacing' attribute.
`boolean` `isForceSingleLine()` Returns the value of the 'Force Single Line' attribute.
`boolean` `isMatchMinorSize()` Returns the value of the 'Match Minor Size' attribute.
`boolean` `isVertical()` Returns the value of the 'Vertical' attribute.
`void` `setForceSingleLine(boolean value)` Sets the value of the '`Force Single Line`' attribute
`void` `setMajorAlignment(Alignment value)` Sets the value of the '`Major Alignment`' attribute
`void` `setMajorSpacing(int value)` Sets the value of the '`Major Spacing`' attribute
`void` `setMatchMinorSize(boolean value)` Sets the value of the '`Match Minor Size`' attribute
`void` `setMinorAlignment(Alignment value)` Sets the value of the '`Minor Alignment`' attribute
`void` `setMinorSpacing(int value)` Sets the value of the '`Minor Spacing`' attribute
`void` `setVertical(boolean value)` Sets the value of the '`Vertical`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isVertical

    boolean isVertical()

  Returns the value of the 'Vertical' attribute. The default value is `"false"`.

  If the meaning of the 'Vertical' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Vertical' attribute.
  See Also:
    `setVertical(boolean)`, `GMFGraphPackage.getFlowLayout_Vertical()`
  ** Generated **
  Model:
    default="false"

### setVertical

    void setVertical(boolean value)

  Sets the value of the '`Vertical`' attribute.

  Parameters:
    `value` - the new value of the 'Vertical' attribute.
  See Also:
    `isVertical()`
  ** Generated **

### isMatchMinorSize

    boolean isMatchMinorSize()

  Returns the value of the 'Match Minor Size' attribute. The default value is `"false"`.

  If the meaning of the 'Match Minor Size' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Match Minor Size' attribute.
  See Also:
    `setMatchMinorSize(boolean)`, `GMFGraphPackage.getFlowLayout_MatchMinorSize()`
  ** Generated **
  Model:
    default="false"

### setMatchMinorSize

    void setMatchMinorSize(boolean value)

  Sets the value of the '`Match Minor Size`' attribute.

  Parameters:
    `value` - the new value of the 'Match Minor Size' attribute.
  See Also:
    `isMatchMinorSize()`
  ** Generated **

### isForceSingleLine

    boolean isForceSingleLine()

  Returns the value of the 'Force Single Line' attribute. The default value is `"false"`.

  If the meaning of the 'Force Single Line' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Force Single Line' attribute.
  See Also:
    `setForceSingleLine(boolean)`, `GMFGraphPackage.getFlowLayout_ForceSingleLine()`
  ** Generated **
  Model:
    default="false"

### setForceSingleLine

    void setForceSingleLine(boolean value)

  Sets the value of the '`Force Single Line`' attribute.

  Parameters:
    `value` - the new value of the 'Force Single Line' attribute.
  See Also:
    `isForceSingleLine()`
  ** Generated **

### getMajorAlignment

    Alignment getMajorAlignment()

  Returns the value of the 'Major Alignment' attribute. The default value is `"BEGINNING"`. The literals are from the enumeration `Alignment`.

  If the meaning of the 'Major Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Major Alignment' attribute.
  See Also:
    `Alignment`, `setMajorAlignment(Alignment)`, `GMFGraphPackage.getFlowLayout_MajorAlignment()`
  ** Generated **
  Model:
    default="BEGINNING"

### setMajorAlignment

    void setMajorAlignment(Alignment value)

  Sets the value of the '`Major Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Major Alignment' attribute.
  See Also:
    `Alignment`, `getMajorAlignment()`
  ** Generated **

### getMinorAlignment

    Alignment getMinorAlignment()

  Returns the value of the 'Minor Alignment' attribute. The default value is `"BEGINNING"`. The literals are from the enumeration `Alignment`.

  If the meaning of the 'Minor Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Minor Alignment' attribute.
  See Also:
    `Alignment`, `setMinorAlignment(Alignment)`, `GMFGraphPackage.getFlowLayout_MinorAlignment()`
  ** Generated **
  Model:
    default="BEGINNING"

### setMinorAlignment

    void setMinorAlignment(Alignment value)

  Sets the value of the '`Minor Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Minor Alignment' attribute.
  See Also:
    `Alignment`, `getMinorAlignment()`
  ** Generated **

### getMajorSpacing

    int getMajorSpacing()

  Returns the value of the 'Major Spacing' attribute. The default value is `"5"`.

  If the meaning of the 'Major Spacing' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Major Spacing' attribute.
  See Also:
    `setMajorSpacing(int)`, `GMFGraphPackage.getFlowLayout_MajorSpacing()`
  ** Generated **
  Model:
    default="5"

### setMajorSpacing

    void setMajorSpacing(int value)

  Sets the value of the '`Major Spacing`' attribute.

  Parameters:
    `value` - the new value of the 'Major Spacing' attribute.
  See Also:
    `getMajorSpacing()`
  ** Generated **

### getMinorSpacing

    int getMinorSpacing()

  Returns the value of the 'Minor Spacing' attribute. The default value is `"5"`.

  If the meaning of the 'Minor Spacing' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Minor Spacing' attribute.
  See Also:
    `setMinorSpacing(int)`, `GMFGraphPackage.getFlowLayout_MinorSpacing()`
  ** Generated **
  Model:
    default="5"

### setMinorSpacing

    void setMinorSpacing(int value)

  Sets the value of the '`Minor Spacing`' attribute.

  Parameters:
    `value` - the new value of the 'Minor Spacing' attribute.
  See Also:
    `getMinorSpacing()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.